ITfUIElementSinkVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfUIElementSink *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfUIElementSink *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfUIElementSink *)
| HRESULT (STDMETHODCALLTYPE *BeginUIElement)(ITfUIElementSink *
BOOL * | HRESULT (STDMETHODCALLTYPE *UpdateUIElement)(ITfUIElementSink *
| HRESULT (STDMETHODCALLTYPE *EndUIElement)(ITfUIElementSink *

## Data Fields

| REFIID
| DWORD
BOOL | DWORD

## Detailed Description

Definition at line 120 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/4]

ITfUIElementSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [2/4]

ITfUIElementSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | BeginUIElement | ) |

## HRESULT() [3/4]

BOOL* ITfUIElementSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | UpdateUIElement | ) |

## HRESULT() [4/4]

ITfUIElementSinkVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EndUIElement | ) |

## ULONG() [1/2]

void** ITfUIElementSinkVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfUIElementSinkVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## DWORD [1/2]

ITfUIElementSinkVtbl::DWORD

Definition at line 125 of file SDL_msctf.h.

## DWORD [2/2]

BOOL ITfUIElementSinkVtbl::DWORD

Definition at line 126 of file SDL_msctf.h.

## REFIID

ITfUIElementSinkVtbl::REFIID

Definition at line 122 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h